Subject: [6pack] Scored 6 NLA items for my TR6 from a jaguar!

From: James_ <[email-masked]>
Date: Sat, 27 Sep 2014 17:57:27 -0700

So I just scored 6 no longer available items for my tr6 from a 72 jaguar!

We all know TR6 are rarely in auto wrecking yards. But jags are there. A lot of them. And so many years of jags use exact TR6 parts!
Here is a list:
Carb coupling linkage. Ok, years ago-NLA. Now those are available from TRF (ZEO20059) and Moss, but costs $44.80. 370-517 (moss) I got it for $2.99!!!
Do the math. Why would anyone needs these? Well, if you over tighten the screws the thin and fragile metal will crack and not grip the throttle rods well. Yup. I have muscles and did that on my recent carb tune up. 

I also got a seat belt sensor (the plastic disk) a warning buzzer. 
Fasten seatbelts dash warning (very NLA for 20 plus years)
An original rheostat!
And original brake pedal switch (made new but is after market and not sure what it costs) some my know this but the brake switch from a BMW is awesome! Made of metal. Not plastic. They rarely wear out but mine did break for some reason years ago. 
And a couple trim items. Like the seatbelt anchor bolt cover. It is plastic and the clips break if not careful when redoing the upholstery. Nope. I didn't  break mine but good to have a spare. (I forgot to grab the passenger one though)

Many treasures off a jaguar. 
Go forth and rescue these parts my friends! 
I can give more details about rescuing things like the warning buzzer. It is a pain on the 72 unless you know a secret. Took me two cut knuckles to figure it out. Also, TR6's use different buzzers depending on the year. But so do jags! I have a stock pile of buzzers now. 

Cheers. 
James

bSent from my Atari 2600b
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack